* {

    box-sizing: border-box;

}



h1 {

    color: #fefae0;

    font-family: Amita;

    margin: 20px auto;

    max-width: 90%;

    font-size: 3rem;

    text-align: center;

    border-bottom: 10px double #bc6c25;

}



.galeria {

    display: flex;

    flex-wrap: wrap;

    justify-content: center;

    align-items: center;

    gap: 10px;

    padding: 10px;

}



.galeria img {

    width: 100%;

    max-width: 450px;

    height: auto;

    border: 5px solid #dac6717d;

    transition: all 0.5s ease;

}



.galeria img:hover {

    border: 5px solid #fff;

    transform: scale(1.05);

    -webkit-filter: none;

    filter: none;

}



footer {

    background-color: #bc6c25;

    display: flex;

    justify-content: center;

    align-items: center;

    height: 50px;

    width: 100%; 

    color: white;

    overflow: hidden; /* opcjonalnie, by ukryć wszelkie resztki */

}



body {

    margin: 0;

    padding: 0;

    overflow-x: hidden; 

} (edytowane)

NOWE

[00:46]





/* MEDIA QUERY DLA MOBILNYCH */

@media (max-width: 600px) {

    h1 {

        font-size: 2rem;

        width: 100%;

    }



    .galeria {

        flex-direction: column;

        align-items: center;

    }



    .galeria img {

        max-width: 90%;

    }

}
